Package ghidra.app.events

# Class TreeSelectionPluginEvent

java.lang.Object
ghidra.framework.plugintool.PluginEvent
ghidra.app.events.TreeSelectionPluginEvent

public final class TreeSelectionPluginEvent extends PluginEvent
Notification for a new Program Tree selection.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  Name of the event.

  ### Fields inherited from class ghidra.framework.plugintool.PluginEvent

  `EXTERNAL_SOURCE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeSelectionPluginEvent(String source, String treeName, GroupPath[] groupPaths)`
  Constructor for TreeSelectionPluginEvent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GroupPath[]`
  `getGroupPaths()`
  Get the group paths that are in the tree selection.
  `String`
  `getTreeName()`
  Get the tree name associated with this event.
  `String`
  `toString()`
  String representation of this event for debugging purposes.

  ### Methods inherited from class ghidra.framework.plugintool.PluginEvent

  `getDetails, getEventName, getSourceName, getToolEventName, getTriggerEvent, isToolEvent, lookupToolEventName, setSourceName, setTriggerEvent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    Name of the event.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TreeSelectionPluginEvent

    public TreeSelectionPluginEvent(String source, String treeName, GroupPath[] groupPaths)
    Constructor for TreeSelectionPluginEvent.
    Parameters:
      `source` - name of the plugin that generated this event
      `treeName` - name of the tree in the program
      `groupPaths` - group paths that are selected in a Program Tree; the group path uniquely identifies a Module (folder) or fragment in the tree

- ## Method Details

  - ### getGroupPaths

    public GroupPath[] getGroupPaths()
    Get the group paths that are in the tree selection.

  - ### getTreeName

    public String getTreeName()
    Get the tree name associated with this event.
    Returns:
      String tree name

  - ### toString

    public String toString()
    String representation of this event for debugging purposes.
    Overrides:
      `toString` in class `PluginEvent`
    See Also:
      - `Object.toString()`